/* controls */

.controls {
  display: flex;
  justify-content: space-between;
  padding-top: var(--space-base);
  padding-bottom: var(--space-base);
  border-top: 2px solid #000;
  border-bottom: 2px solid #000;
}





/* filters */

.filters {
  display: flex;
  gap: var(--space-base);
}

.filter-btn {
  display: flex;
  align-items: center;
  gap: 8px;
  color: rgba(0, 0, 0, 0.5);
  transition: color 0.3s;
}

.filter-btn:hover {
  color: #000;
}

.filter-btn.is-active {
  color: #000;
}

.filter-btn::before {
  content: "";
  width: 12px;
  height: 12px;
  border-radius: 50%;
  background-color: var(--cor-ponto);
}

.filter-btn[data-categoria="todos"] {
  --cor-ponto: var(--color-todos);
}

.filter-btn[data-categoria="exposicao"] {
  --cor-ponto: var(--color-exposicao);
}

.filter-btn[data-categoria="residencial"] {
  --cor-ponto: var(--color-residencial);
}

.filter-btn[data-categoria="institucional"] {
  --cor-ponto: var(--color-institucional);
}

.filter-btn[data-categoria="comercial"] {
  --cor-ponto: var(--color-comercial);
}

.filter-btn[data-categoria="artes-visuais"] {
  --cor-ponto: var(--color-artes-visuais);
}





/* views */

.view-btn {
  color: rgba(0, 0, 0, 0.5);
  transition: color 0.3s;
}

.view-btn:hover {
  color: #000;
}

.view-btn.is-active {
  color: #000;
}

.view-btn:not(:last-child)::after {
  content: " /";
  color: rgba(0, 0, 0, 0.5);
}